/*
 * The Self-* Storage System Project
 * Copyright (c) 2011, Carnegie Mellon University.
 * All rights reserved.
 * http://www.pdl.cmu.edu/  (Parallel Data Lab at Carnegie Mellon)
 *
 * This software is being provided by the copyright holders under the
 * following license. By obtaining, using and/or copying this software,
 * you agree that you have read, understood, and will comply with the
 * following terms and conditions:
 *
 * Permission to reproduce, use, and prepare derivative works of this
 * software is granted provided the copyright and "No Warranty" statements
 * are included with all reproductions and derivative works and associated
 * documentation. This software may also be redistributed without charge
 * provided that the copyright and "No Warranty" statements are included
 * in all redistributions.
 *
 * NO WARRANTY. THIS SOFTWARE IS FURNISHED ON AN "AS IS" BASIS.
 * CARNEGIE MELLON UNIVERSITY MAKES NO WARRANTIES OF ANY KIND, EITHER
 * EXPRESSED OR IMPLIED AS TO THE MATTER INCLUDING, BUT NOT LIMITED
 * TO: WARRANTY OF FITNESS FOR PURPOSE OR MERCHANTABILITY, EXCLUSIVITY
 * OF RESULTS OR RESULTS OBTAINED FROM USE OF THIS SOFTWARE. CARNEGIE
 * MELLON UNIVERSITY DOES NOT MAKE ANY WARRANTY OF ANY KIND WITH RESPECT
 * TO FREEDOM FROM PATENT, TRADEMARK, OR COPYRIGHT INFRINGEMENT.
 * COPYRIGHT HOLDERS WILL BEAR NO LIABILITY FOR ANY USE OF THIS SOFTWARE
 * OR DOCUMENTATION.
 */

/*
 * facility names.
 *
 * DO NOT EDIT-- this file is automatically generated by makefacs.pl.
 */

#ifndef _MLOGFACS_H_
#define _MLOGFACS_H_

#include "mlog.h"    /* for MLOG_ defines */

#if defined(MLOG_FACSARRAY) || defined(MLOG_AFACSARRAY)
static const char *mlog_facsarray[] = {
    "MLOG",          /* 0 -- MLOG default fac */
    "PLFS",          /* 1 */
    "INT",           /* 2 */
    "CON",           /* 3 */
    "IDX",           /* 4 */
    "WF",            /* 5 */
    "FOP",           /* 6 */
    "UT",            /* 7 */
    "STO",           /* 8 */
    "FUSE",          /* 9 */
    "MPI",           /* 10 */
    "POSIXIO",       /* 11 */
    "SMF",           /* 12 */
    "FUSEIO",        /* 13 */
    0,               /* 14 */
};
#endif /* MLOG_FACSARRAY || MLOG_AFACSARRAY */

#if defined(MLOG_FACSARRAY) || defined(MLOG_LFACSARRAY)
static const char *mlog_lfacsarray[] = {
    "MLOG",          /* 0 -- MLOG default fac */
    "plfs_misc",     /* 1 */
    "internal",      /* 2 */
    "container",     /* 3 */
    "index",         /* 4 */
    "writefile",     /* 5 */
    "fileops",       /* 6 */
    "utilities",     /* 7 */
    "store",         /* 8 */
    "FUSE",          /* 9 */
    "MPI",           /* 10 */
    "POSIXIO",       /* 11 */
    "small_file",    /* 12 */
    "FUSEIO",        /* 13 */
    0,               /* 14 */
};
#endif /* MLOG_LFACSARRAY || MLOG_LFACSARRAY */

/*
 * standard facility defines
 */
#define MLOGFAC_PLFS      1 /* plfs_misc */
#define MLOGFAC_INT       2 /* internal */
#define MLOGFAC_CON       3 /* container */
#define MLOGFAC_IDX       4 /* index */
#define MLOGFAC_WF        5 /* writefile */
#define MLOGFAC_FOP       6 /* fileops */
#define MLOGFAC_UT        7 /* utilities */
#define MLOGFAC_STO       8 /* store */
#define MLOGFAC_FUSE      9 /* FUSE */
#define MLOGFAC_MPI      10 /* MPI */
#define MLOGFAC_POSIXIO  11 /* POSIXIO */
#define MLOGFAC_SMF      12 /* small_file */
#define MLOGFAC_FUSEIO   13 /* FUSEIO */

/*
 * plfs_misc MLOG levels
 */
#define PLFS_EMERG       (1 | MLOG_EMERG)
#define PLFS_ALERT       (1 | MLOG_ALERT)
#define PLFS_CRIT        (1 | MLOG_CRIT)
#define PLFS_ERR         (1 | MLOG_ERR)
#define PLFS_WARN        (1 | MLOG_WARN)
#define PLFS_NOTE        (1 | MLOG_NOTE)
#define PLFS_INFO        (1 | MLOG_INFO)
#define PLFS_DBG         (1 | MLOG_DBG)
#define PLFS_DBG0        (1 | MLOG_DBG0)
#define PLFS_DAPI         PLFS_DBG0
#define PLFS_DBG1        (1 | MLOG_DBG1)
#define PLFS_DINTAPI      PLFS_DBG1
#define PLFS_DBG2        (1 | MLOG_DBG2)
#define PLFS_DCOMMON      PLFS_DBG2
#define PLFS_DBG3        (1 | MLOG_DBG3)
#define PLFS_DRARE        PLFS_DBG3

/*
 * internal MLOG levels
 */
#define INT_EMERG        (2 | MLOG_EMERG)
#define INT_ALERT        (2 | MLOG_ALERT)
#define INT_CRIT         (2 | MLOG_CRIT)
#define INT_ERR          (2 | MLOG_ERR)
#define INT_WARN         (2 | MLOG_WARN)
#define INT_NOTE         (2 | MLOG_NOTE)
#define INT_INFO         (2 | MLOG_INFO)
#define INT_DBG          (2 | MLOG_DBG)
#define INT_DBG0         (2 | MLOG_DBG0)
#define INT_DAPI          INT_DBG0
#define INT_DBG1         (2 | MLOG_DBG1)
#define INT_DINTAPI       INT_DBG1
#define INT_DBG2         (2 | MLOG_DBG2)
#define INT_DCOMMON       INT_DBG2
#define INT_DBG3         (2 | MLOG_DBG3)
#define INT_DRARE         INT_DBG3

/*
 * container MLOG levels
 */
#define CON_EMERG        (3 | MLOG_EMERG)
#define CON_ALERT        (3 | MLOG_ALERT)
#define CON_CRIT         (3 | MLOG_CRIT)
#define CON_ERR          (3 | MLOG_ERR)
#define CON_WARN         (3 | MLOG_WARN)
#define CON_NOTE         (3 | MLOG_NOTE)
#define CON_INFO         (3 | MLOG_INFO)
#define CON_DBG          (3 | MLOG_DBG)
#define CON_DBG0         (3 | MLOG_DBG0)
#define CON_DAPI          CON_DBG0
#define CON_DBG1         (3 | MLOG_DBG1)
#define CON_DINTAPI       CON_DBG1
#define CON_DBG2         (3 | MLOG_DBG2)
#define CON_DCOMMON       CON_DBG2
#define CON_DBG3         (3 | MLOG_DBG3)
#define CON_DRARE         CON_DBG3

/*
 * index MLOG levels
 */
#define IDX_EMERG        (4 | MLOG_EMERG)
#define IDX_ALERT        (4 | MLOG_ALERT)
#define IDX_CRIT         (4 | MLOG_CRIT)
#define IDX_ERR          (4 | MLOG_ERR)
#define IDX_WARN         (4 | MLOG_WARN)
#define IDX_NOTE         (4 | MLOG_NOTE)
#define IDX_INFO         (4 | MLOG_INFO)
#define IDX_DBG          (4 | MLOG_DBG)
#define IDX_DBG0         (4 | MLOG_DBG0)
#define IDX_DAPI          IDX_DBG0
#define IDX_DBG1         (4 | MLOG_DBG1)
#define IDX_DINTAPI       IDX_DBG1
#define IDX_DBG2         (4 | MLOG_DBG2)
#define IDX_DCOMMON       IDX_DBG2
#define IDX_DBG3         (4 | MLOG_DBG3)
#define IDX_DRARE         IDX_DBG3

/*
 * writefile MLOG levels
 */
#define WF_EMERG         (5 | MLOG_EMERG)
#define WF_ALERT         (5 | MLOG_ALERT)
#define WF_CRIT          (5 | MLOG_CRIT)
#define WF_ERR           (5 | MLOG_ERR)
#define WF_WARN          (5 | MLOG_WARN)
#define WF_NOTE          (5 | MLOG_NOTE)
#define WF_INFO          (5 | MLOG_INFO)
#define WF_DBG           (5 | MLOG_DBG)
#define WF_DBG0          (5 | MLOG_DBG0)
#define WF_DAPI           WF_DBG0
#define WF_DBG1          (5 | MLOG_DBG1)
#define WF_DINTAPI        WF_DBG1
#define WF_DBG2          (5 | MLOG_DBG2)
#define WF_DCOMMON        WF_DBG2
#define WF_DBG3          (5 | MLOG_DBG3)
#define WF_DRARE          WF_DBG3

/*
 * fileops MLOG levels
 */
#define FOP_EMERG        (6 | MLOG_EMERG)
#define FOP_ALERT        (6 | MLOG_ALERT)
#define FOP_CRIT         (6 | MLOG_CRIT)
#define FOP_ERR          (6 | MLOG_ERR)
#define FOP_WARN         (6 | MLOG_WARN)
#define FOP_NOTE         (6 | MLOG_NOTE)
#define FOP_INFO         (6 | MLOG_INFO)
#define FOP_DBG          (6 | MLOG_DBG)
#define FOP_DBG0         (6 | MLOG_DBG0)
#define FOP_DAPI          FOP_DBG0
#define FOP_DBG1         (6 | MLOG_DBG1)
#define FOP_DINTAPI       FOP_DBG1
#define FOP_DBG2         (6 | MLOG_DBG2)
#define FOP_DCOMMON       FOP_DBG2
#define FOP_DBG3         (6 | MLOG_DBG3)
#define FOP_DRARE         FOP_DBG3

/*
 * utilities MLOG levels
 */
#define UT_EMERG         (7 | MLOG_EMERG)
#define UT_ALERT         (7 | MLOG_ALERT)
#define UT_CRIT          (7 | MLOG_CRIT)
#define UT_ERR           (7 | MLOG_ERR)
#define UT_WARN          (7 | MLOG_WARN)
#define UT_NOTE          (7 | MLOG_NOTE)
#define UT_INFO          (7 | MLOG_INFO)
#define UT_DBG           (7 | MLOG_DBG)
#define UT_DBG0          (7 | MLOG_DBG0)
#define UT_DAPI           UT_DBG0
#define UT_DBG1          (7 | MLOG_DBG1)
#define UT_DINTAPI        UT_DBG1
#define UT_DBG2          (7 | MLOG_DBG2)
#define UT_DCOMMON        UT_DBG2
#define UT_DBG3          (7 | MLOG_DBG3)
#define UT_DRARE          UT_DBG3

/*
 * store MLOG levels
 */
#define STO_EMERG        (8 | MLOG_EMERG)
#define STO_ALERT        (8 | MLOG_ALERT)
#define STO_CRIT         (8 | MLOG_CRIT)
#define STO_ERR          (8 | MLOG_ERR)
#define STO_WARN         (8 | MLOG_WARN)
#define STO_NOTE         (8 | MLOG_NOTE)
#define STO_INFO         (8 | MLOG_INFO)
#define STO_DBG          (8 | MLOG_DBG)
#define STO_DBG0         (8 | MLOG_DBG0)
#define STO_DAPI          STO_DBG0
#define STO_DBG1         (8 | MLOG_DBG1)
#define STO_DINTAPI       STO_DBG1
#define STO_DBG2         (8 | MLOG_DBG2)
#define STO_DCOMMON       STO_DBG2
#define STO_DBG3         (8 | MLOG_DBG3)
#define STO_DRARE         STO_DBG3

/*
 * FUSE MLOG levels
 */
#define FUSE_EMERG       (9 | MLOG_EMERG)
#define FUSE_ALERT       (9 | MLOG_ALERT)
#define FUSE_CRIT        (9 | MLOG_CRIT)
#define FUSE_ERR         (9 | MLOG_ERR)
#define FUSE_WARN        (9 | MLOG_WARN)
#define FUSE_NOTE        (9 | MLOG_NOTE)
#define FUSE_INFO        (9 | MLOG_INFO)
#define FUSE_DBG         (9 | MLOG_DBG)
#define FUSE_DBG0        (9 | MLOG_DBG0)
#define FUSE_DAPI         FUSE_DBG0
#define FUSE_DBG1        (9 | MLOG_DBG1)
#define FUSE_DINTAPI      FUSE_DBG1
#define FUSE_DBG2        (9 | MLOG_DBG2)
#define FUSE_DCOMMON      FUSE_DBG2
#define FUSE_DBG3        (9 | MLOG_DBG3)
#define FUSE_DRARE        FUSE_DBG3

/*
 * MPI MLOG levels
 */
#define MPI_EMERG        (10 | MLOG_EMERG)
#define MPI_ALERT        (10 | MLOG_ALERT)
#define MPI_CRIT         (10 | MLOG_CRIT)
#define MPI_ERR          (10 | MLOG_ERR)
#define MPI_WARN         (10 | MLOG_WARN)
#define MPI_NOTE         (10 | MLOG_NOTE)
#define MPI_INFO         (10 | MLOG_INFO)
#define MPI_DBG          (10 | MLOG_DBG)
#define MPI_DBG0         (10 | MLOG_DBG0)
#define MPI_DAPI          MPI_DBG0
#define MPI_DBG1         (10 | MLOG_DBG1)
#define MPI_DINTAPI       MPI_DBG1
#define MPI_DBG2         (10 | MLOG_DBG2)
#define MPI_DCOMMON       MPI_DBG2
#define MPI_DBG3         (10 | MLOG_DBG3)
#define MPI_DRARE         MPI_DBG3

/*
 * POSIXIO MLOG levels
 */
#define POSIXIO_EMERG    (11 | MLOG_EMERG)
#define POSIXIO_ALERT    (11 | MLOG_ALERT)
#define POSIXIO_CRIT     (11 | MLOG_CRIT)
#define POSIXIO_ERR      (11 | MLOG_ERR)
#define POSIXIO_WARN     (11 | MLOG_WARN)
#define POSIXIO_NOTE     (11 | MLOG_NOTE)
#define POSIXIO_INFO     (11 | MLOG_INFO)
#define POSIXIO_DBG      (11 | MLOG_DBG)
#define POSIXIO_DBG0     (11 | MLOG_DBG0)
#define POSIXIO_DAPI      POSIXIO_DBG0
#define POSIXIO_DBG1     (11 | MLOG_DBG1)
#define POSIXIO_DINTAPI   POSIXIO_DBG1
#define POSIXIO_DBG2     (11 | MLOG_DBG2)
#define POSIXIO_DCOMMON   POSIXIO_DBG2
#define POSIXIO_DBG3     (11 | MLOG_DBG3)
#define POSIXIO_DRARE     POSIXIO_DBG3

/*
 * small_file MLOG levels
 */
#define SMF_EMERG        (12 | MLOG_EMERG)
#define SMF_ALERT        (12 | MLOG_ALERT)
#define SMF_CRIT         (12 | MLOG_CRIT)
#define SMF_ERR          (12 | MLOG_ERR)
#define SMF_WARN         (12 | MLOG_WARN)
#define SMF_NOTE         (12 | MLOG_NOTE)
#define SMF_INFO         (12 | MLOG_INFO)
#define SMF_DBG          (12 | MLOG_DBG)
#define SMF_DBG0         (12 | MLOG_DBG0)
#define SMF_DAPI          SMF_DBG0
#define SMF_DBG1         (12 | MLOG_DBG1)
#define SMF_DINTAPI       SMF_DBG1
#define SMF_DBG2         (12 | MLOG_DBG2)
#define SMF_DCOMMON       SMF_DBG2
#define SMF_DBG3         (12 | MLOG_DBG3)
#define SMF_DRARE         SMF_DBG3

/*
 * FUSEIO MLOG levels
 */
#define FUSEIO_EMERG     (13 | MLOG_EMERG)
#define FUSEIO_ALERT     (13 | MLOG_ALERT)
#define FUSEIO_CRIT      (13 | MLOG_CRIT)
#define FUSEIO_ERR       (13 | MLOG_ERR)
#define FUSEIO_WARN      (13 | MLOG_WARN)
#define FUSEIO_NOTE      (13 | MLOG_NOTE)
#define FUSEIO_INFO      (13 | MLOG_INFO)
#define FUSEIO_DBG       (13 | MLOG_DBG)
#define FUSEIO_DBG0      (13 | MLOG_DBG0)
#define FUSEIO_DAPI       FUSEIO_DBG0
#define FUSEIO_DBG1      (13 | MLOG_DBG1)
#define FUSEIO_DINTAPI    FUSEIO_DBG1
#define FUSEIO_DBG2      (13 | MLOG_DBG2)
#define FUSEIO_DCOMMON    FUSEIO_DBG2
#define FUSEIO_DBG3      (13 | MLOG_DBG3)
#define FUSEIO_DRARE      FUSEIO_DBG3

#endif /* _MLOGFACS_H_ */
